Skip to main content
PUT
/
projects
/
{project_reference}
/
labels
/
{label_id}
Update project label
curl --request PUT \
  --url https://api.veryfront.com/projects/{project_reference}/labels/{label_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "value": "<string>",
  "color": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "namespace": "<string>",
  "key": "<string>",
  "value": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>",
  "source_target_kind": "<string>",
  "source_agent_id": "<string>",
  "color": "<string>"
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Example:

"my-project"

label_id
string<uuid>
required

Body

application/json
key
string
required
Required string length: 1 - 64
value
string | null
Maximum string length: 128
color
string | null
Maximum string length: 32

Response

Updated label

id
string<uuid>
required
resource_kind
enum<string>
required
Available options:
project,
project_agent
project_id
string<uuid>
required
namespace
string
required
key
string
required
value
string | null
required
created_at
string
required
updated_at
string
required
source_target_kind
string | null
source_agent_id
string | null
color
string | null